GlueGen: com.jogamp.common.util.IOUtil.ClassResources Class Reference

GlueGen v2.6.0-rc-20250721 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Public Attributes | List of all members
com.jogamp.common.util.IOUtil.ClassResources Class Reference

Helper compound associating a class instance and resource paths to be `resolved` at a later time. More...

Collaboration diagram for com.jogamp.common.util.IOUtil.ClassResources:

## Public Member Functions

final int | resourceCount ()
| Returns the number of resources, i.e. More...
| ClassResources (final String[] resourcePaths, final ClassLoader classLoader, final Class<?> relContext)
URLConnection | resolve (final int uriIndex) throws ArrayIndexOutOfBoundsException
| Resolving one of the `resourcePaths` indexed by `uriIndex` using `classLoader`, `contextCL` through `IOUtil#getResource(String, ClassLoader, Class)`. More...

## Public Attributes

final ClassLoader | classLoader
| Optional `ClassLoader` used to `resolve(int)` `resourcePaths`. More...
final Class<?> | contextCL
| Optional class instance used to `resolve(int)` relative `resourcePaths`. More...
final String[] | resourcePaths
| Resource paths, see `resolve(int)`. More...

## Detailed Description

Helper compound associating a class instance and resource paths to be `resolved` at a later time.

Definition at line 518 of file IOUtil.java.

## Constructor & Destructor Documentation

## ◆ ClassResources()

com.jogamp.common.util.IOUtil.ClassResources.ClassResources | ( | final String[] | resourcePaths,
|  | final ClassLoader | classLoader,
|  | final Class<?> | relContext
| ) |  |

Parameters

  resourcePaths | multiple relative or absolute resource locations
  classLoader | optional `ClassLoader`, see `IOUtil#getResource(String, ClassLoader, Class)`
  relContext | optional relative context, see `IOUtil#getResource(String, ClassLoader, Class)`

Definition at line 536 of file IOUtil.java.

## Member Function Documentation

## ◆ resolve()

URLConnection com.jogamp.common.util.IOUtil.ClassResources.resolve | ( | final int | uriIndex | ) | throws ArrayIndexOutOfBoundsException

Resolving one of the `resourcePaths` indexed by `uriIndex` using `classLoader`, `contextCL` through `IOUtil#getResource(String, ClassLoader, Class)`.

Exceptions

  ArrayIndexOutOfBoundsException | if `uriIndex` is < 0 or >= `resourceCount()`.

Definition at line 552 of file IOUtil.java.

Here is the call graph for this function:

## ◆ resourceCount()

final int com.jogamp.common.util.IOUtil.ClassResources.resourceCount | ( |  | ) |

Returns the number of resources, i.e.

`resourcePaths.length`.

Definition at line 529 of file IOUtil.java.

## Member Data Documentation

## ◆ classLoader

final ClassLoader com.jogamp.common.util.IOUtil.ClassResources.classLoader

Optional `ClassLoader` used to `resolve(int)` `resourcePaths`.

Definition at line 520 of file IOUtil.java.

## ◆ contextCL

final Class<?> com.jogamp.common.util.IOUtil.ClassResources.contextCL

Optional class instance used to `resolve(int)` relative `resourcePaths`.

Definition at line 523 of file IOUtil.java.

## ◆ resourcePaths

final String [] com.jogamp.common.util.IOUtil.ClassResources.resourcePaths

Resource paths, see `resolve(int)`.

Definition at line 526 of file IOUtil.java.

The documentation for this class was generated from the following file:

- src/java/com/jogamp/common/util/IOUtil.java